### Method

# Gtk TreeSelection set_mode

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_selection_set_mode (
      GtkTreeSelection* selection,
      GtkSelectionMode type
    )

#### Description [src]

Sets the selection mode of the `selection`. If the previous type was `GTK_SELECTION_MULTIPLE`, then the anchor is kept selected, if it was previously selected.

Deprecated since: 4.10

Use GtkListView or GtkColumnView.

Sets property | `Gtk.TreeSelection:mode`

#### Parameters

`type`

  Type: `GtkSelectionMode`

  The selection mode.